<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
    {
        Schema::create('alumnis', function (Blueprint $table) {
            $table->id();
            $table->string('main_title')->nullable();
            $table->text('main_description')->nullable();
            $table->string('background_image')->nullable();
            $table->json('images')->nullable();
            $table->string('second_title')->nullable();
            $table->text('second_description')->nullable();
            $table->string('success_title')->nullable();
            $table->integer('alumni_members_count')->nullable();


            $table->timestamps();
            $table->softDeletes();
        });
    }


    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('alumnis');
    }
};
